<!doctype html>
{% load static %}
<html lang="UA" dir="ltr">
<head>
  <meta charset="utf-8">
  <title>VekDoc {{ user.first_name }} {{ user.last_name }}</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-chained/1.0.1/jquery.chained.min.js"></script>
  <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
  <link rel="stylesheet" href="{% static 'css/styles.css' %}">
  <link href="https://use.fontawesome.com/releases/v5.0.13/css/all.css" rel="stylesheet">
  <script src="{% static 'js/script.js' %}"></script>
  <link rel="shortcut icon" href="{% static 'img/favicon32.png' %}" type="image/png">
</head>
<body>
  <header>
    <div class="container">
      <div class="logo">VeDoc</div>
      <div class="menu">
        <ul>
          {% if user.is_authenticated %}
            <li><a href="{% url 'contract_list' %}">Договори</a></li>
            <li><a href="{% url 'contragent_list' %}">Виробники</a></li>
            <li><a href="{% url 'export' %}">Реєстри</a></li>
          {% endif %}
        </ul>
      </div>
      {% if user.is_authenticated %}
        <div class="exit"><a href="{% url 'logout' %}">Вихід</a></div>
      {% else %}
        <div class="exit"><a href="{% url 'login' %}">Вхід</a></div>
      {% endif %}
    </div>
  </header>
  <main>
    <article>
      {% if user.is_authenticated %}
        {% block body %}
        {% endblock %}
      {% endif %}
        {% block alluser %}
        {% endblock %}
        {% if is_paginated %}
          <div class="pagination">
            <span class="step-links">
              {% if page_obj.has_previous %}
                <a href="?page=1"><i class="fas fa-angle-double-left"></i>&emsp;</a>
                <a href="?page={{ page_obj.previous_page_number }}"><i class="fas fa-angle-left"></i>&emsp;</a>
              {% endif %}
              <span class="current">
                Стр {{ page_obj.number }} з {{ page_obj.paginator.num_pages }}
              </span>
              {% if page_obj.has_next %}
                <a href="?page={{ page_obj.next_page_number }}">&emsp;<i class="fas fa-angle-right"></i></a>
                <a href="?page={{ page_obj.paginator.num_pages }}">&emsp;<i class="fas fa-angle-double-right"></i></a>
              {% endif %}
            </span>
          </div>
        {% endif %}
    </article>
  </main>
</body>
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
</html>
